Name:           iw
Version:        5.0.1
Release:        1
Summary:        A nl80211 based wireless configuration tool

License:        ISC
URL:            https://wireless.kernel.org/en/users/Documentation/%{name}
Source0:        https://www.kernel.org/pub/software/network/%{name}/%{name}-%{version}.tar.gz

Patch6000:      0049-iw-fix-cmd_size-determination-with-LTO.patch

BuildRequires:  gcc kernel-headers libnl3-devel pkgconfig

%description
iw is a new nl80211 based CLI configuration utility for wireless devices.
It supports all new drivers that have been added to the kernel recently.
The old tool iwconfig, which uses Wireless Extensions interface,
is deprecated and it's strongly recommended to switch to iw and nl80211.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
export CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS"
%make_build

%install
%make_install MANDIR=%{_mandir}

%files
%defattr(-,root,root)
%license COPYING
%{_sbindir}/%{name}

%files help
%defattr(-,root,root)
%{_mandir}/man8/iw.*

%changelog
* Mon Sep 02 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.0.1-1
- Package init
